Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.integrated
Class IntegratedServerListenThread

    java.lang.Object
      net.minecraft.network.NetworkListenThread
          net.minecraft.server.integrated.IntegratedServerListenThread

    public class IntegratedServerListenThread

extends NetworkListenThread

Field Summary

Fields inherited from class net.minecraft.network.NetworkListenThread
`isListening, logger`

Constructor Summary
`IntegratedServerListenThread(IntegratedServer par1IntegratedServer)`

Method Summary
`void` | `func_71754_a(MemoryConnection par1MemoryConnection, String par2Str)`
`String` | `func_71755_c()`
`IntegratedServer` | `getIntergatedServerMinecraftServerInstance()` Gets MinecraftServer instance.
`MinecraftServer` | `getServer()`
`boolean` | `isGamePaused()`
`void` | `networkTick()` processes packets and pending connections
`void` | `stopListening()`

Methods inherited from class net.minecraft.network.NetworkListenThread
`addPlayer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegratedServerListenThread

    public IntegratedServerListenThread(IntegratedServer par1IntegratedServer)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### func_71754_a

    public void func_71754_a(MemoryConnection par1MemoryConnection,
                             String par2Str)

### func_71755_c

    public String func_71755_c()
                        throws IOException

  Throws:
    `IOException`

### stopListening

    public void stopListening()

  Overrides:
    `stopListening` in class `NetworkListenThread`

### networkTick

    public void networkTick()

  processes packets and pending connections

  Overrides:
    `networkTick` in class `NetworkListenThread`

### getIntergatedServerMinecraftServerInstance

    public IntegratedServer getIntergatedServerMinecraftServerInstance()

  Gets MinecraftServer instance.

### isGamePaused

    public boolean isGamePaused()

### getServer

    public MinecraftServer getServer()

  Overrides:
    `getServer` in class `NetworkListenThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD